net.fortuna.ical4j.model

## Class DefaultTimeZoneRegistryFactory

- java.lang.Object
- - net.fortuna.ical4j.model.TimeZoneRegistryFactory
  - - net.fortuna.ical4j.model.DefaultTimeZoneRegistryFactory

    public class DefaultTimeZoneRegistryFactory
    extends TimeZoneRegistryFactory

$Id$ Created on 18/09/2005 Default factory implementation for timezone registries.

Author:
  Ben Fortuna

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.TimeZoneRegistryFactory

`KEY_FACTORY_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`DefaultTimeZoneRegistryFactory()`

### Method Summary

Methods
`TimeZoneRegistry` `createRegistry()` Returns a new instance of the configured `TimeZoneRegistry`.

### Methods inherited from class net.fortuna.ical4j.model.TimeZoneRegistryFactory

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultTimeZoneRegistryFactory

    public DefaultTimeZoneRegistryFactory()

### Method Detail

#### createRegistry

    public TimeZoneRegistry createRegistry()

Returns a new instance of the configured `TimeZoneRegistry`.

Specified by:
  `createRegistry` in class `TimeZoneRegistryFactory`
Returns:
  a timezone registry instance